.embed-responsive {
    position: relative;
    display: block;
    width: 100%;
    padding: 0;
    overflow: hidden;

    &::before {
        display: block;
        content: "";
    }

    .embed_responsive_item,
    iframe,
    embed,
    object,
    video {
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 100%;
        border: 0;
    }
}

.embed-responsive_21by9 {
    &::before {
        padding-top: percentage(9 / 21);
    }
}

.embed-responsive_16by9 {
    &::before {
        padding-top: percentage(9 / 16);
    }
}

.embed-responsive_4by3 {
    &::before {
        padding-top: percentage(3 / 4);
    }
}

.embed-responsive_1by1 {
    &::before {
        padding-top: percentage(1 / 1);
    }
}

.img-fluid {
    height: auto;
    display: block;
    max-width: 100%;
}

.img-cover {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
    object-position: center center;
}

.img-contain {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: contain;
    object-position: center center;
}

.ico-svg {
    position: relative;
    display: inline-block;
    width: auto;
    height: 100%;
    -webkit-transform: translate(0, 0);
    transform: translate(0, 0);
}

.hide {
    opacity: 0 !important;
    display: none !important;
    visibility: hidden !important;
}

// Visually hidden

.visually-hidden,
.visually-hidden-focusable:not(:focus):not(:focus-within) {
    @include visually-hidden();
}

// Alignment

.text-left      { text-align: left !important; }
.text-center    { text-align: center !important; }
.text-right     { text-align: right !important; }
.text-justify   { text-align: justify !important; }
.text-nowrap    { white-space: nowrap !important; }


// Transformation

.text-lowercase  { text-transform: lowercase !important; }
.text-uppercase  { text-transform: uppercase !important; }
.text-capitalize { text-transform: capitalize !important; }

.w-100 {
    width: 100%;
}
